Skip to content

deezer ​

24 endpoints at a glance
MethodPathSummary
GET/deezer/album/{album_id}/Get Album
GET/deezer/albums/Get Albums
GET/deezer/artist/{artist_id}/Get Artist
GET/deezer/artists/Get Artists
GET/deezer/track/{track_id}/Get Track
GET/deezer/v2/albums/{album_id}V2 Album Info
GET/deezer/v2/artists/{artist_id}V2 Artist Info
GET/deezer/v2/artists/{artist_id}/albumsV2 Artist Albums
GET/deezer/v2/artists/{artist_id}/relatedV2 Artist Related
GET/deezer/v2/artists/{artist_id}/top-tracksV2 Artist Top Tracks
GET/deezer/v2/chartsV2 Charts
GET/deezer/v2/charts/{genre_id}V2 Charts Genre
GET/deezer/v2/genresV2 Genres
GET/deezer/v2/genres/{genre_id}V2 Genre Info
GET/deezer/v2/genres/{genre_id}/artistsV2 Genre Artists
GET/deezer/v2/searchV2 Search
GET/deezer/v2/search/albumsV2 Search Albums
GET/deezer/v2/search/artistsV2 Search Artists
GET/deezer/v2/search/tracksV2 Search Tracks
GET/deezer/v2/tracks/{track_id}V2 Track Info
GET/deezer/wishlist/Get Wishlist
POST/deezer/wishlist/Post Wishlist
POST/deezer/wishlist/fix/Fix Download Date
POST/deezer/wishlist/process/Process Wishlist

deezer​


Get Artists​

GET
/deezer/artists/

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Samples​


Get Artist​

GET
/deezer/artist/{artist_id}/

Parameters​

Path Parameters

artist_id*
Type
integer
Required

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Variables
Key
Value

Samples​


Get Albums​

GET
/deezer/albums/

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Samples​


Get Album​

GET
/deezer/album/{album_id}/

Parameters​

Path Parameters

album_id*
Type
integer
Required

Query Parameters

process
wanted
downloaded

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Variables
Key
Value

Samples​


Get Track​

GET
/deezer/track/{track_id}/

Parameters​

Path Parameters

track_id*
Type
integer
Required

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Variables
Key
Value

Samples​


Process Wishlist​

POST
/deezer/wishlist/process/

Authorizations​

APIKeyQuery
Type
API Key (query: api-key)
or
APIKeyHeader
Type
API Key (header: x-tautulli-token)

Parameters​

Query Parameters

reprocess

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Authorization
Variables
Key
Value

Samples​


Fix Download Date​

POST
/deezer/wishlist/fix/

Authorizations​

APIKeyQuery
Type
API Key (query: api-key)
or
APIKeyHeader
Type
API Key (header: x-tautulli-token)

Parameters​

Query Parameters

date*
Type
string
Required

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Authorization
Variables
Key
Value

Samples​


Get Wishlist​

GET
/deezer/wishlist/

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Samples​


Post Wishlist​

POST
/deezer/wishlist/

Authorizations​

APIKeyQuery
Type
API Key (query: api-key)
or
APIKeyHeader
Type
API Key (header: x-tautulli-token)

Request Body​

application/json
JSON
{
  
"url": "string"
}

Responses​

Successful Response

application/json
JSON
[
]

Playground​

Authorization
Body

Samples​


V2 Search​

GET
/deezer/v2/search

Unified search across artists, albums, tracks.

Parameters​

Query Parameters

q*
Type
string
Required
index
Type
integer
Default
0
limit
Type
integer
Default
25

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Search Artists​

GET
/deezer/v2/search/artists

Parameters​

Query Parameters

q*
Type
string
Required
index
Type
integer
Default
0
limit
Type
integer
Default
25

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Search Albums​

GET
/deezer/v2/search/albums

Parameters​

Query Parameters

q*
Type
string
Required
index
Type
integer
Default
0
limit
Type
integer
Default
25

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Search Tracks​

GET
/deezer/v2/search/tracks

Parameters​

Query Parameters

q*
Type
string
Required
index
Type
integer
Default
0
limit
Type
integer
Default
25

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Artist Info​

GET
/deezer/v2/artists/{artist_id}

Parameters​

Path Parameters

artist_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Artist Albums​

GET
/deezer/v2/artists/{artist_id}/albums

Parameters​

Path Parameters

artist_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Artist Top Tracks​

GET
/deezer/v2/artists/{artist_id}/top-tracks

Parameters​

Path Parameters

artist_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Artist Related​

GET
/deezer/v2/artists/{artist_id}/related

Path Parameters

artist_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Successful Response

application/json
JSON
"string"
Variables
Key
Value

V2 Album Info​

GET
/deezer/v2/albums/{album_id}

Parameters​

Path Parameters

album_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Track Info​

GET
/deezer/v2/tracks/{track_id}

Parameters​

Path Parameters

track_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Charts​

GET
/deezer/v2/charts

Global top artists / albums / tracks / playlists.

Parameters​

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Charts Genre​

GET
/deezer/v2/charts/{genre_id}

Parameters​

Path Parameters

genre_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Genres​

GET
/deezer/v2/genres

Parameters​

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Genre Info​

GET
/deezer/v2/genres/{genre_id}

Parameters​

Path Parameters

genre_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


V2 Genre Artists​

GET
/deezer/v2/genres/{genre_id}/artists

Parameters​

Path Parameters

genre_id*
Type
integer
Required

Query Parameters

refresh
Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
"string"

Playground​

Variables
Key
Value

Samples​


Media — Blue Sapphire Software.